Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.runtime
Interface StateManagerSet

All Known Implementing Classes:
  ClassGroupStateManagerSet, FifoStateManagerSet

public interface StateManagerSet

A data structure that stores `StateManagerImpl` objects and provides access to those objects in some (potentially undefined) order.

Since:
  2.5.0

Method Summary
`void` | `add(StateManagerImpl sm, boolean hard)` Add a new `StateManagerImpl` to this set.
`Collection` | `collection()` Returns an unmodifiable list containing all the `StateManagerImpl` objects that have been added to this set.
`boolean` | `contains(StateManagerImpl sm)` Returns `true` if `sm` is in this set; otherwise returns `false`.
`Iterator` | `iterator()` Returns an iterator containing all the `StateManagerImpl` objects that have been added to this set.
`void` | `remove(StateManagerImpl sm)` Remove `sm` from this set.
`void` | `setPersistenceManager(PersistenceManagerImpl pm)` Sets the `PersistenceManagerImpl` associated with this set.
`int` | `size()` Returns the number of objects in this set.

Method Detail

### setPersistenceManager

    public void setPersistenceManager(PersistenceManagerImpl pm)

  Sets the `PersistenceManagerImpl` associated with this set.

### add

    public void add(StateManagerImpl sm,
                    boolean hard)

  Add a new `StateManagerImpl` to this set. If `hard` is true, maintain a hard reference to `sm`; otherwise, an implementation is free to maintain a soft / weak reference to `sm`.

### contains

    public boolean contains(StateManagerImpl sm)

  Returns `true` if `sm` is in this set; otherwise returns `false`.

### size

    public int size()

  Returns the number of objects in this set.

### remove

    public void remove(StateManagerImpl sm)

  Remove `sm` from this set.

### iterator

    public Iterator iterator()

  Returns an iterator containing all the `StateManagerImpl` objects that have been added to this set. This iterator is in some order determined by the implementation of this method.

### collection

    public Collection collection()

  Returns an unmodifiable list containing all the `StateManagerImpl` objects that have been added to this set. This list is in some order determined by the implementation of this method.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.